summaryrefslogtreecommitdiffstats
path: root/qtinterface
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-01-31 00:33:28 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-01-31 00:33:28 -0600
commit13abd0950400b43a2bb7064dadb2f30a94ee32fd (patch)
tree909753057086673d84058d7e4a6384b2c393025a /qtinterface
parent8787bdc0f0519ea741a867bbb2ee93e2cd6a399d (diff)
downloadtqtinterface-13abd0950400b43a2bb7064dadb2f30a94ee32fd.tar.gz
tqtinterface-13abd0950400b43a2bb7064dadb2f30a94ee32fd.zip
Fix FTBFS
Diffstat (limited to 'qtinterface')
-rw-r--r--qtinterface/CMakeLists.txt2
-rwxr-xr-xqtinterface/interface_qt3/tmoc.cmake21
-rwxr-xr-xqtinterface/interface_tqt3/tmoc.cmake (renamed from qtinterface/tmoc.cmake)0
3 files changed, 22 insertions, 1 deletions
diff --git a/qtinterface/CMakeLists.txt b/qtinterface/CMakeLists.txt
index fc18981..c50bf1f 100644
--- a/qtinterface/CMakeLists.txt
+++ b/qtinterface/CMakeLists.txt
@@ -109,7 +109,7 @@ install(
##### tqt tools #################################
-configure_file( tmoc.cmake tmoc @ONLY )
+configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
if ( NOT HAVE_REAL_TQT )
configure_file( tqt-replace.cmake tqt-replace @ONLY )
configure_file( tqt-replace-stream.cmake tqt-replace-stream @ONLY )
diff --git a/qtinterface/interface_qt3/tmoc.cmake b/qtinterface/interface_qt3/tmoc.cmake
new file mode 100755
index 0000000..087fbdb
--- /dev/null
+++ b/qtinterface/interface_qt3/tmoc.cmake
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+#
+# Very simple moc wrapper, for using with cmake
+#
+
+if [ -f @BIN_INSTALL_DIR@/tqt-replace-stream ]; then
+ if [ -z "$1" ]; then
+ echo "Usage: tmoc <input_file> -o <out_file>"
+ else
+ input_file="$1"
+ out_file="$3"
+ @BIN_INSTALL_DIR@/tqt-replace-stream "${input_file}" | \
+ @MOC_EXECUTABLE@ | \
+ sed "/#include <qmetaobject.h>/ i #undef QT_NO_COMPAT\n#include \"${input_file}\"" \
+ > "${out_file}"
+ fi
+else
+ echo "ERROR: @BIN_INSTALL_DIR@/tqt-replace-stream is not available. tmoc will fail!"
+ exit 1;
+fi
diff --git a/qtinterface/tmoc.cmake b/qtinterface/interface_tqt3/tmoc.cmake
index 8c7cfcc..8c7cfcc 100755
--- a/qtinterface/tmoc.cmake
+++ b/qtinterface/interface_tqt3/tmoc.cmake